<?php 
/** Themify Default Variables
 *  @var object */
global $themify; ?>

<?php themify_before_post_image(); // Hook ?>

<?php if(themify_check('gallery_shortcode')) { ?>
	<div class="post-media">
		<?php $themify->theme->show_gallery(); ?>
	</div>
<?php } elseif(themify_check('slider')) { ?>
	<div class="post-media">
		<?php $themify->theme->show_slider(); ?>
	</div>
<?php } elseif(themify_check('map')) { ?>
	<div class="post-media">
		<?php $themify->theme->show_map(); ?>
	</div>
<?php } elseif( themify_check('video_url') ) { ?>
	<div class="post-media">
		<?php $themify->theme->show_video(); ?>
	</div>
<?php } elseif( $post_image = themify_get_image($themify->auto_featured_image . $themify->image_setting . "w=".$themify->width."&h=".$themify->height . '&image_meta=true') ){ ?>
	<?php if($themify->hide_image != 'yes') { ?>
		<div class="post-media">
			<figure class="post-image <?php echo $themify->image_align; ?>" <?php themify_schema_markup(array('markup' => 'image')); ?>>
				<?php $themify->theme->show_image($post_image); ?>
			</figure>
		</div>
	<?php } // hide post image ?>
<?php } ?>

<?php themify_after_post_image(); // Hook ?>